Package lxml :: Package tests :: Module test_errors :: Class ErrorTestCase

[frames] | no frames]

# Class ErrorTestCase

source code

                   object --+
                            |
            unittest.TestCase --+
                                |
    common_imports.HelperTestCase --+
                                    |
                                   ErrorTestCase

Nested Classes
Inherited from `unittest.TestCase`: `failureException`

Instance Methods

test_bad_element(self) | source code

test_empty_parse(self) | source code

test_element_cyclic_gc_none(self) | source code

Inherited from `common_imports.HelperTestCase`: `parse`, `tearDown`

Inherited from `unittest.TestCase`: `__call__`, `__init__`, `__repr__`, `__str__`, `assertAlmostEqual`, `assertAlmostEquals`, `assertEqual`, `assertEquals`, `assertNotAlmostEqual`, `assertNotAlmostEquals`, `assertNotEqual`, `assertNotEquals`, `assertRaises`, `assertTrue`, `assert_`, `countTestCases`, `debug`, `defaultTestResult`, `fail`, `failIf`, `failIfAlmostEqual`, `failIfEqual`, `failUnless`, `failUnlessAlmostEqual`, `failUnlessEqual`, `failUnlessRaises`, `id`, `run`, `setUp`, `shortDescription`

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`

Class Variables
| etree The `lxml.etree` module implements the extended ElementTree API for XML.
Inherited from `common_imports.HelperTestCase`: `assertFalse`

Properties
Inherited from `object`: `__class__`

Class Variable Details

### etree

The `lxml.etree` module implements the extended ElementTree API for XML.

Value:
  lxml.etree